aboutsummaryrefslogtreecommitdiff
path: root/internal/p10k.zsh
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2019-10-05 10:57:13 +0300
committerromkatv <roman.perepelitsa@gmail.com>2019-10-05 10:57:13 +0300
commit6d16760253c0a0a09858ccfac288ec379dc815f1 (patch)
tree4c4e4ebf6a12c20b83477ac1424b9610116b3097 /internal/p10k.zsh
parentadfdf198b7576a9d445c7afceecd2591c66d40eb (diff)
bug fix: don't leave temp state dumps if gitstatus is disabled
Diffstat (limited to 'internal/p10k.zsh')
-rwxr-xr-xinternal/p10k.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index 62ca8638..a4cdcc96 100755
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -3371,7 +3371,7 @@ function _p9k_dump_state() {
typeset -g __p9k_cached_param_sig=$_p9k_param_sig
typeset -p __p9k_cached_param_sig >&$fd || return
unset __p9k_cached_param_sig
- (( $+functions[_p9k_preinit] )) && functions _p9k_preinit >&$fd || return
+ (( $+functions[_p9k_preinit] )) && { functions _p9k_preinit >&$fd || return }
print -r -- '_p9k_restore_state_impl() {' >&$fd || return
typeset -pm "($include)~($exclude)" >&$fd || return
print -r -- '}' >&$fd || return